# Retrieve a credit offer Returns the complete credit offer object, including approved amount (approved_amount), minimum amount, interest rate (interest_rate), maximum number of installments, and expiration date (valid_until). Query the offer before creating a simulation to present the limits to the customer. Endpoint: GET /credit-offers/{credit_offer_id} Version: 2026-03-01 Security: bearerAuth ## Path parameters: - `credit_offer_id` (string, required) Example: "co_550e8400e29b41d4a716446655440000" ## Response 200 fields (application/json): - `id` (string, required) - `customer_id` (string, required) - `status` (string, required) Enum: "available", "accepted", "expired" - `approved_amount` (string, required) Decimal encoded as a string with exactly 2 decimal places (BRL). - `min_amount` (string, required) Minimum withdrawal amount Example: "1000.00" - `interest_rate` (number, required) Monthly interest rate percentage Example: 3.5 - `installments` (integer, required) Number of installments. When the product supports a range, this field is replaced by min_installments/max_installments Example: 12 - `due_date_rule` (string,null) Due date rule for installments. Pending Core implementation. - `valid_until` (string, required) Example: "2026-04-01T23:59:59Z" - `created_at` (string, required) - `updated_at` (string, required) ## Response 401 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 404 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 429 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 500 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string)